Welcome to PagerDuty & Quality Engineering! This document serves to onboard you onto PagerDuty.

**If you are looking to resolve a current on-call emergency, please see [The On Call Runbook](README.md).**

Access our [PagerDuty Account here][PagerDuty].

## Setting Up Your Account
Using your Google Account, you can sign into PagerDuty.

### Add yourself to our team
Navigate to the [Quality Engineering Team][Quality Engineering Team] and click edit to add yourself.

### Download the App

- iOS: https://itunes.apple.com/us/app/pagerduty/id594039512?mt=8
- Android: https://play.google.com/store/apps/details?id=com.pagerduty.android

### Optimize your Notifications
Optimizing your notifications is critical to acknowledging notifications. Ensure your Phone, SMS, and (optional) Push Notifications are configured within your profile.

You can check and test these by:

1. Navigate to [PagerDuty][PagerDuty]
2. Click your icon in the upper right
3. Click "My Profile"

To modify notification settings, within your profile, click "Notification Rules"

For notification settings, I recommend:

1. Immediately after it's assigned to me, html email me 
1. Immediately after it's assigned to me, push notify me
2. 10 minutes after it's assigned to me, phone me 
3. 15 minutes after it's assigned to me, sms me
4. 20 minutes after it's assigned to me, phone me
5. 30 minutes after it's assigned to me, phone me

10 Minutes generally allows for 2 full runs to get through, so by the time it gets to your phone (possibly breaking Do Not Disturb at night), likely two runs have completed to verify there's an issue.

### Optimize your Sleeping Experience

#### iOS
Using [Do Not Disturb](https://support.apple.com/en-us/HT204321) instead of Silence can allow you to receive PagerDuty Calls, without being disturbed by other calls/notifications.

Currently it's not possible to allow PagerDuty's Push Notifications to break DND, but you can configure the Phone Call to.

To Do So...

Allow Favorites to get through DND:

1. Go To Settings App
2. Tap Do Not Disturb
3. Tap "Allow Calls From"
4. Select Favorites (or setup your own group, not covered in this documentation)

Add PagerDuty:

1. Go to your Phone App
2. Tap Contacts
3. Add Contact
4. Set up PagerDuty with its [phone numbers](https://support.pagerduty.com/hc/en-us/articles/202828870-Phone-numbers-notifications-are-sent-from).
5. Tap Favorites
6. Tap Plus Button to add PagerDuty Contact to Favorite


#### Android
Not tested, but saw on a blog:

```
Android v2.3 and above has an "Override system volume" setting that will override your device's sound settings so that you can always hear your PagerDuty push notifications (even when your phone is on silent).
```

[PagerDuty]: https://twitchoncall.pagerduty.com/
[Quality Engineering Team]: https://twitchoncall.pagerduty.com/teams/PF9SHFL
[QE Services]: https://twitchoncall.pagerduty.com/teams/PF9SHFL#services
